HTMLImageElement (Java SE 25 & JDK 25)
Description: declaration: module: jdk.xml.dom, package: org.w3c.dom.html, interface: HTMLImageElement
Keywords: org.w3c.dom.html.HTMLImageElement interface

# Interface HTMLImageElement

All Superinterfaces:
  `Element, HTMLElement, Node`

public interface HTMLImageElement extends HTMLElement
Embedded image. See the IMG element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

- ## Field Summary

  ### Fields declared in interface Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlign()`
  Aligns this object (vertically or horizontally) with respect to its surrounding text.
  `String`
  `getAlt()`
  Alternate text for user agents not rendering the normal content of this element.
  `String`
  `getBorder()`
  Width of border around image.
  `String`
  `getHeight()`
  Override height.
  `String`
  `getHspace()`
  Horizontal space to the left and right of this image.
  `boolean`
  `getIsMap()`
  Use server-side image map.
  `String`
  `getLongDesc()`
  URI designating a long description of this image or frame.
  `String`
  `getLowSrc()`
  URI designating the source of this image, for low-resolution output.
  `String`
  `getName()`
  The name of the element (for backwards compatibility).
  `String`
  `getSrc()`
  URI designating the source of this image.
  `String`
  `getUseMap()`
  Use client-side image map.
  `String`
  `getVspace()`
  Vertical space above and below this image.
  `String`
  `getWidth()`
  Override width.
  `void`
  `setAlign(String align)`
  `void`
  `setAlt(String alt)`
  `void`
  `setBorder(String border)`
  `void`
  `setHeight(String height)`
  `void`
  `setHspace(String hspace)`
  `void`
  `setIsMap(boolean isMap)`
  `void`
  `setLongDesc(String longDesc)`
  `void`
  `setLowSrc(String lowSrc)`
  `void`
  `setName(String name)`
  `void`
  `setSrc(String src)`
  `void`
  `setUseMap(String useMap)`
  `void`
  `setVspace(String vspace)`
  `void`
  `setWidth(String width)`

  ### Methods declared in interface Element

  `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

  ### Methods declared in interface HTMLElement

  `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

  ### Methods declared in interface Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Method Details

  - ### getLowSrc

    String getLowSrc()
    URI designating the source of this image, for low-resolution output.

  - ### setLowSrc

    void setLowSrc(String lowSrc)

  - ### getName

    String getName()
    The name of the element (for backwards compatibility).

  - ### setName

    void setName(String name)

  - ### getAlign

    String getAlign()
    Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setAlign

    void setAlign(String align)

  - ### getAlt

    String getAlt()
    Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.

  - ### setAlt

    void setAlt(String alt)

  - ### getBorder

    String getBorder()
    Width of border around image. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setBorder

    void setBorder(String border)

  - ### getHeight

    String getHeight()
    Override height. See the height attribute definition in HTML 4.0.

  - ### setHeight

    void setHeight(String height)

  - ### getHspace

    String getHspace()
    Horizontal space to the left and right of this image. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setHspace

    void setHspace(String hspace)

  - ### getIsMap

    boolean getIsMap()
    Use server-side image map. See the ismap attribute definition in HTML 4.0.

  - ### setIsMap

    void setIsMap(boolean isMap)

  - ### getLongDesc

    String getLongDesc()
    URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

  - ### setLongDesc

    void setLongDesc(String longDesc)

  - ### getSrc

    String getSrc()
    URI designating the source of this image. See the src attribute definition in HTML 4.0.

  - ### setSrc

    void setSrc(String src)

  - ### getUseMap

    String getUseMap()
    Use client-side image map. See the usemap attribute definition in HTML 4.0.

  - ### setUseMap

    void setUseMap(String useMap)

  - ### getVspace

    String getVspace()
    Vertical space above and below this image. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setVspace

    void setVspace(String vspace)

  - ### getWidth

    String getWidth()
    Override width. See the width attribute definition in HTML 4.0.

  - ### setWidth

    void setWidth(String width)